package com.eactive.eai.rms.onl.dashboard.service;

import com.eactive.eai.rms.onl.vo.*;

import java.util.List;

/**
 * The Interface DashboardService.
 * <ul>
 * <li>1. Function :</li>
 * <li>2. Summary :</li>
 * <li>3. Notification :</li>
 * </ul>
 * 
 */
public interface DashboardService {

    public List<AdaptersVO> findAdapterStatusList(List serverList);

    public AdaptersVO findAdapterStatus(AdaptersVO adaptersVO);

    public EAIEngineStatusVo findEngineStatus(EAIEngineStatusVo vo);

    public List<SmsVO> findSmsList(List serverList, String service);

    public SmsVO findSms(SmsVO vo);
    
    public String getSmsBreaker();
    
    public void setSmsBreaker( String b);
    
    public HostStatusVo findHostStatus( List serverList );
    
    public AdaptersVO findAdapterStatusTotalList( List serverList );
    
    public RealTimeAdaptersVO findRTAdapterStatusTotalList( List serverList );
    
    public List<EAIEngineStatusVo> findEngineStatus(List serverList , boolean isFullList );
    
    public List<EAIEngineStatusVo> findEngineStatusforDashBoard(List serverList , boolean isFullList , String service );
    
    public List<TransactionTrackingVo> findTransactionList(List serverList, String service);
    
    List<TransactionTrackingVo> findTransactionListByHost(List serverList, String hostName, boolean isFull);
    
    public List<RealTimeAdaptersVO> findRTAdapterStatusList(List serverList) ;
}
